summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Ruben Schuller2012-12-10 14:50:58 +0100
committer dsomero2012-12-11 22:23:05 +0100
commite4cac820a2c96646d82d8c45f5f2802115b47372 (patch)
treee07fbcbe81dc2ab971ed9403a1c6188617cb3272
parenta842d4dcdb4d59e0f72892b0cde77df70d5f98e8 (diff)
downloadslackbuilds-e4cac820a2c96646d82d8c45f5f2802115b47372.tar.gz
system/plan9port: Added (Plan 9 from User Space).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
-rw-r--r--system/plan9port/README15
-rw-r--r--system/plan9port/plan9port.SlackBuild98
-rw-r--r--system/plan9port/plan9port.info10
-rw-r--r--system/plan9port/profile.d/plan9port.csh4
-rw-r--r--system/plan9port/profile.d/plan9port.sh4
-rw-r--r--system/plan9port/slack-desc19
-rw-r--r--system/plan9port/xinitrc.rio19
7 files changed, 169 insertions, 0 deletions
diff --git a/system/plan9port/README b/system/plan9port/README
new file mode 100644
index 0000000000..12f49333db
--- /dev/null
+++ b/system/plan9port/README
@@ -0,0 +1,15 @@
+Plan 9 from User Space (aka plan9port).
+
+Plan 9 from User Space (aka plan9port) is a port of many Plan 9 programs
+from their native Plan 9 environment to Unix-like operating systems.
+
+Notes:
+MD5SUM/VERSION:
+The tarball is recreated from the sources whenever a change to the tree
+occurs. You'll find the current tarball at:
+http://code.google.com/p/plan9port/downloads/list
+
+Updating:
+You can use Mercurial to update plan9port, read
+http://9fans.net/archive/2009/12/108
+http://swtch.com/plan9port/man/man1/hg.html
diff --git a/system/plan9port/plan9port.SlackBuild b/system/plan9port/plan9port.SlackBuild
new file mode 100644
index 0000000000..f36c73fcb3
--- /dev/null
+++ b/system/plan9port/plan9port.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# Slackware build script for plan9port
+
+# Copyright (c) 2012, Ruben Schuller <ruben@orgizm.net>
+#
+# Copyright (c) 2008-2010, Antonio Hernández Blas <hba.nihilismus@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are met:
+# 1.- Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY
+# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+# DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
+# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# 2012-10-23: added some changes to reflect the usage of nightly tarballs
+
+PRGNAM=plan9port
+VERSION=${VERSION:-20121022}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/opt $OUTPUT
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# All plan9 programs are going to be installed in "/opt/plan9"
+
+# The default prefix for plan9 is "/usr/local/plan9" and some files (that are
+# listed in $TMP/plan9/lib/moveplan9.files) are going to end up with that
+# prefix hardcoded. There's a script that resolves this problem, and the
+# compilation runs it by default, but we'll have to edit it because it uses
+# the current build directory as the path. I've tried passing /opt/plan9
+# as the value of PLAN9, hoping the script would pick it up and do the
+# right thing, but no dice, so we'll kludge it. --rworkman
+sed -i 's:^new=`cleanname $PLAN9`$:new=`cleanname /opt/plan9`:' \
+ lib/moveplan9.sh
+
+./INSTALL
+
+cd $TMP
+mv $PRGNAM $PKG/opt/plan9
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# man(1) from plan9port dislikes man pages compressed :)
+
+# To setup some environment variables:
+install -D -m 0755 $CWD/profile.d/$PRGNAM.sh $PKG/etc/profile.d/$PRGNAM.sh
+install -m 0755 $CWD/profile.d/$PRGNAM.csh $PKG/etc/profile.d/$PRGNAM.csh
+
+# Add the window manager 'rio' to xwmconfig's list.
+install -D -m 0755 $CWD/xinitrc.rio $PKG/etc/X11/xinit/xinitrc.rio
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cd $PKG/opt/plan9
+mv CHANGES install.txt LICENSE README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/plan9port/plan9port.info b/system/plan9port/plan9port.info
new file mode 100644
index 0000000000..8b5cd4e2a4
--- /dev/null
+++ b/system/plan9port/plan9port.info
@@ -0,0 +1,10 @@
+PRGNAM="plan9port"
+VERSION="20121022"
+HOMEPAGE="http://swtch.com/plan9port/"
+DOWNLOAD="http://plan9port.googlecode.com/files/plan9port-20121022.tgz"
+MD5SUM="6ac8b01783ed43657c6735e762ea75be"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Ruben Schuller"
+EMAIL="ruben@orgizm.net"
diff --git a/system/plan9port/profile.d/plan9port.csh b/system/plan9port/profile.d/plan9port.csh
new file mode 100644
index 0000000000..0119f3e35d
--- /dev/null
+++ b/system/plan9port/profile.d/plan9port.csh
@@ -0,0 +1,4 @@
+#!/bin/csh
+setenv PLAN9 /opt/plan9
+setenv MANPATH ${MANPATH}:$PLAN9/man
+setenv PATH ${PATH}:$PLAN9/bin
diff --git a/system/plan9port/profile.d/plan9port.sh b/system/plan9port/profile.d/plan9port.sh
new file mode 100644
index 0000000000..40ad4d01f2
--- /dev/null
+++ b/system/plan9port/profile.d/plan9port.sh
@@ -0,0 +1,4 @@
+#!/bin/sh
+export PLAN9=/opt/plan9
+export MANPATH="$MANPATH:$PLAN9/man"
+export PATH="$PATH:$PLAN9/bin"
diff --git a/system/plan9port/slack-desc b/system/plan9port/slack-desc
new file mode 100644
index 0000000000..67b3d2cdc3
--- /dev/null
+++ b/system/plan9port/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+plan9port: Plan9Port (Plan 9 from User Space)
+plan9port:
+plan9port: Plan 9 from User Space (aka plan9port) is a port of many
+plan9port: Plan 9 programs from their native Plan 9 environment to
+plan9port: Unix-like operating systems.
+plan9port:
+plan9port: Homepage: http://swtch.com/plan9port/
+plan9port:
+plan9port:
+plan9port:
+plan9port:
diff --git a/system/plan9port/xinitrc.rio b/system/plan9port/xinitrc.rio
new file mode 100644
index 0000000000..e4dfba95a3
--- /dev/null
+++ b/system/plan9port/xinitrc.rio
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+userresources=$HOME/.Xresources
+usermodmap=$HOME/.Xmodmap
+sysresources=/etc/X11/xinit/.Xresources
+sysmodmap=/etc/X11/xinit/.Xmodmap
+
+# Merge in defaults and keymaps
+[ -f $sysresources ] && xrdb -merge $sysresources
+[ -f $sysmodmap ] && xmodmap $sysmodmap
+[ -f $userresources ] && xrdb -merge $userresources
+[ -f $usermodmap ] && xmodmap $usermodmap
+
+# Start the window manager:
+if [ -z "$DESKTOP_SESSION" -a -x /usr/bin/ck-launch-session ]; then
+ exec ck-launch-session rio
+else
+ exec rio
+fi